Subject: bug#17265: 24.4.50; Ediff navigation broken (list/vector type mismatch)

From: Richard Copley <[email-masked]>
Date: Sat, 19 Apr 2014 13:16:02 +0100

Yes, it's fixed on trunk now, thanks. I realized I had misread
Stefan's mail after I replied. (I'm not too familiar with the branch
structure. I just follow the trunk.)

On 17 April 2014 21:30, Nicolas Richard <[email-masked]> wrote:
> Richard Copley <[email-masked]> writes:
>
>> On 14 April 2014 20:10, Stefan Monnier <[email-masked]> wrote:
>>>> In `ediff-set-fine-diff-properties-in-one-buffer', dolist is invoked
>>>> on the result of `ediff-get-fine-diff-vector',
>
> This is #17257.
>
>>> IIUC this has been fixed yesterday in emacs-24.
>>
>> It was still broken in trunk as of r116975, 2014-04-14 05:35:45.
>
> I guess the emacs-24 branch had not been merged into
> trunk at that time. This has been done, since then.
>
> --
> Nico.